public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/gtksourceview/
Date: Wed,  8 Apr 2020 05:53:58 +0000 (UTC)	[thread overview]
Message-ID: <1586325214.b0e8b3173f503680b941e6af7f87e1c7a00ff79e.leio@gentoo> (raw)

commit:     b0e8b3173f503680b941e6af7f87e1c7a00ff79e
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  8 05:53:34 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Wed Apr  8 05:53:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0e8b317

x11-libs/gtksourceview: bump to 4.4.0

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 x11-libs/gtksourceview/Manifest                   |  1 +
 x11-libs/gtksourceview/gtksourceview-4.4.0.ebuild | 68 +++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/x11-libs/gtksourceview/Manifest b/x11-libs/gtksourceview/Manifest
index c55083f2ad5..1e0f547a014 100644
--- a/x11-libs/gtksourceview/Manifest
+++ b/x11-libs/gtksourceview/Manifest
@@ -1,3 +1,4 @@
 DIST gtksourceview-2.10.5.tar.bz2 1253321 BLAKE2B 810a3eeca69bab4356b21c64129bb852e00d02c7937ad4a2ce3af9e48700da943d8d6834efcce9810dd49a54f39d4a074dc086a557128da51a593b2f23e58d48 SHA512 6f64acef6196bfc5953e0b148d7e460d366073b5e21367c01b01fc4d1c86ffe8aca71ecd77cf0814e47d8fc3085495f25bbbdc69e746987b02fd02fcda64886d
 DIST gtksourceview-3.24.11.tar.xz 1438232 BLAKE2B a25762255a12887c8151465689e3acbd5864a6638044500acd087832888a092b8aad5d885d31c9dbe057ce183510afa2342bccb2a2675719dbba7e82be72368a SHA512 3490b34c6432a2e2ef292ad5bf982fdd22d33b1472434549b4ea8ddae0fc8808e128ef947e4d0dcb41e8de5e601b202f52532bbbbfa11d35050acfc42f9936b2
 DIST gtksourceview-4.2.0.tar.xz 1410764 BLAKE2B 8f20a762c16a0abc47ff191a2ea4d6b44a397cabee056e98263d0ba59cbc7207ac72341a630aa83fe7855804bd6add77e0d93e706ac9561c9577843f17e00246 SHA512 f2350b1e7042309c01be0feda6059d788a7ef55c4ccd48e16b4c92a71292ed6f92243455ca42aa0950db61de8d68f4a76f4fac46cd46316b690bcef1ea34c641
+DIST gtksourceview-4.4.0.tar.xz 1105776 BLAKE2B ef4ed4ed15435daba60795598ba41624b2680b0518246d5d6ade3630cb96e2bac96fea08105e72db7b5a07e714f9270ce27c11e9448fd1b21e8d3942989b2255 SHA512 068e723525290c5356c5ce3f5e5b5b8ecc9f7b1ff2f8234da247d1a84bed63ff5601cad6550981720859286e107705ec25cc7793b754ada164ec6569df0df9eb

diff --git a/x11-libs/gtksourceview/gtksourceview-4.4.0.ebuild b/x11-libs/gtksourceview/gtksourceview-4.4.0.ebuild
new file mode 100644
index 00000000000..7de4201a29d
--- /dev/null
+++ b/x11-libs/gtksourceview/gtksourceview-4.4.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org meson vala virtualx xdg
+
+DESCRIPTION="A text widget implementing syntax highlighting and other features"
+HOMEPAGE="https://wiki.gnome.org/Projects/GtkSourceView"
+
+LICENSE="LGPL-2.1+"
+SLOT="4"
+
+IUSE="glade gtk-doc +introspection +vala"
+REQUIRED_USE="vala? ( introspection )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+
+RDEPEND="
+	>=dev-libs/glib-2.48:2
+	>=x11-libs/gtk+-3.22:3[introspection?]
+	>=dev-libs/libxml2-2.6:2
+	glade? ( >=dev-util/glade-3.9:3.10 )
+	introspection? ( >=dev-libs/gobject-introspection-1.42.0:= )
+	>=dev-libs/fribidi-0.19.7
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	gtk-doc? ( >=dev-util/gtk-doc-1.25
+		app-text/docbook-xml-dtd:4.3 )
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+	use vala && vala_src_prepare
+	xdg_src_prepare
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use glade glade_catalog)
+		-Dinstall_tests=false
+		$(meson_use introspection gir)
+		$(meson_use vala vapi)
+		$(meson_use gtk-doc gtk_doc)
+	)
+	meson_src_configure
+}
+
+src_test() {
+	virtx meson_src_test
+}
+
+src_install() {
+	meson_src_install
+
+	insinto /usr/share/${PN}-4/language-specs
+	doins "${FILESDIR}"/2.0/gentoo.lang
+
+	# Avoid conflict with gtksourceview:3.0 glade-catalog
+	# TODO: glade doesn't actually show multiple GtkSourceView widget collections, so with both installed, can't really be sure which ones are used
+	if use glade; then
+		mv "${ED}"/usr/share/glade/catalogs/gtksourceview.xml "${ED}"/usr/share/glade/catalogs/gtksourceview-${SLOT}.xml || die
+	fi
+}


             reply	other threads:[~2020-04-08  5:54 UTC|newest]

Thread overview: 128+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-08  5:53 Mart Raudsepp [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-21 17:16 [gentoo-commits] repo/gentoo:master commit in: x11-libs/gtksourceview/ Arthur Zamarin
2024-12-20 20:37 Arthur Zamarin
2023-01-03 14:08 Matt Turner
2022-12-22 11:13 Arthur Zamarin
2022-12-17  6:45 Arthur Zamarin
2022-12-16 20:57 Arthur Zamarin
2022-12-16 20:30 Arthur Zamarin
2022-11-12  6:01 WANG Xuerui
2022-11-04 18:00 Matt Turner
2022-10-31 20:31 Matt Turner
2022-06-23 20:12 David Seifert
2021-11-06  3:58 Sam James
2021-11-06  3:58 Sam James
2021-10-04 17:44 Sam James
2021-10-04  1:24 Sam James
2021-09-10  1:25 Matt Turner
2021-05-31  2:00 Matt Turner
2021-05-29 15:27 Sam James
2021-05-28 19:20 Sam James
2021-05-28 19:18 Sam James
2021-05-28 19:11 Sam James
2021-04-29  3:29 Matt Turner
2021-04-04 13:55 Andreas Sturmlechner
2020-11-07 15:23 Mart Raudsepp
2020-11-06 15:19 Sam James
2020-11-05 16:16 Sam James
2020-09-11 16:57 Sergei Trofimovich
2020-08-31  7:00 Mart Raudsepp
2020-08-31  2:52 Sam James
2020-08-30 18:28 Sam James
2020-08-30 15:17 Thomas Deutschmann
2020-06-27 11:48 Mart Raudsepp
2020-06-07 21:28 Mart Raudsepp
2020-06-07 21:02 Mart Raudsepp
2020-04-22 14:25 Agostino Sarubbo
2020-04-22  8:44 Agostino Sarubbo
2020-04-22  8:41 Agostino Sarubbo
2020-04-20 18:16 Agostino Sarubbo
2020-04-20 17:03 Agostino Sarubbo
2019-07-28 18:59 Mart Raudsepp
2019-07-28 18:31 Aaron Bauman
2019-07-28 17:02 Aaron Bauman
2019-07-28 11:08 Mikle Kolyada
2019-06-06  6:46 Agostino Sarubbo
2019-05-31 20:29 Sergei Trofimovich
2019-05-30 20:33 Sergei Trofimovich
2019-05-30 20:30 Sergei Trofimovich
2019-05-30 20:08 Sergei Trofimovich
2019-05-23 13:02 Mikle Kolyada
2019-05-18 23:05 Mart Raudsepp
2019-05-10 17:49 Mikle Kolyada
2019-05-10 10:04 Pacho Ramos
2019-05-08  9:33 Mikle Kolyada
2019-03-21 19:52 Mart Raudsepp
2019-03-21 19:52 Mart Raudsepp
2018-12-07 19:05 Mart Raudsepp
2018-12-07 19:05 Mart Raudsepp
2018-11-29 20:24 Mart Raudsepp
2018-11-25 10:03 Mikle Kolyada
2018-11-02 12:54 Mart Raudsepp
2018-09-09 14:28 Mart Raudsepp
2018-07-21  8:03 Tobias Klausmann
2018-07-15 11:45 Mart Raudsepp
2018-07-14 20:16 Sergei Trofimovich
2018-07-14 20:10 Sergei Trofimovich
2018-07-09 16:14 Mikle Kolyada
2018-07-07 11:56 Sergei Trofimovich
2018-07-07  9:02 Sergei Trofimovich
2018-07-06 13:43 Thomas Deutschmann
2018-06-19 14:30 Mart Raudsepp
2018-05-29 12:29 Mikle Kolyada
2018-05-14 16:03 Tobias Klausmann
2018-05-04 20:46 Markus Meier
2018-04-28 17:05 Sergei Trofimovich
2018-04-28 16:36 Sergei Trofimovich
2018-04-26 17:15 Thomas Deutschmann
2018-04-21  9:45 Mart Raudsepp
2018-03-15  1:50 Mart Raudsepp
2018-03-14 21:41 Sergei Trofimovich
2018-03-14 21:09 Markus Meier
2018-03-06 21:37 Tobias Klausmann
2018-03-04 20:48 Sergei Trofimovich
2018-02-16 20:39 Sergei Trofimovich
2018-01-18  3:01 Mikle Kolyada
2018-01-16 23:25 Mart Raudsepp
2018-01-13 12:13 Sergei Trofimovich
2017-12-17 18:29 Gilles Dartiguelongue
2017-09-11  6:38 Gilles Dartiguelongue
2017-07-08  0:16 Mart Raudsepp
2017-07-07 21:20 Mart Raudsepp
2017-07-07 10:12 Agostino Sarubbo
2017-07-01 15:24 Alexis Ballier
2017-06-12 10:07 Mart Raudsepp
2017-05-21 17:18 Mart Raudsepp
2017-04-22 17:53 Tobias Klausmann
2017-04-01 16:31 Agostino Sarubbo
2017-04-01 13:16 Agostino Sarubbo
2017-03-29  7:45 Michael Weber
2017-03-28 15:09 Michael Weber
2017-03-28 14:59 Michael Weber
2017-03-08 12:11 Mart Raudsepp
2017-02-04 20:49 Fabian Groffen
2017-01-29 21:11 Fabian Groffen
2017-01-04 22:37 Gilles Dartiguelongue
2016-12-30  2:56 Mart Raudsepp
2016-12-06 20:49 Markus Meier
2016-11-11 12:47 Gilles Dartiguelongue
2016-11-01 11:18 Gilles Dartiguelongue
2016-09-04 23:20 Gilles Dartiguelongue
2016-06-28  3:47 Alexandre Rostovtsev
2016-06-11 10:14 Pacho Ramos
2016-06-08 20:02 Markus Meier
2016-05-30 21:15 Pacho Ramos
2016-05-28 15:49 Pacho Ramos
2016-05-28 15:49 Pacho Ramos
2016-05-03 20:30 Markus Meier
2016-03-20 23:09 Stephen Klimaszewski
2016-01-16 11:22 Pacho Ramos
2015-11-26 10:51 Gilles Dartiguelongue
2015-11-16 14:08 Agostino Sarubbo
2015-11-12 11:07 Agostino Sarubbo
2015-10-18 11:29 Mikle Kolyada
2015-10-03  8:45 Markus Meier
2015-09-28  4:44 Jeroen Roovers
2015-09-16  8:43 Tobias Klausmann
2015-09-12  9:11 Agostino Sarubbo
2015-09-07 16:24 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1586325214.b0e8b3173f503680b941e6af7f87e1c7a00ff79e.leio@gentoo \
    --to=leio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox